<?xml version="1.0" encoding="UTF-8"?>
<cfsdat xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
 xmlns="http://www.cfs++.org/simulation">
  <pipeline>
    <stepValueDefinition>
      <startStop>
        <startStep value="0"/>
        <numSteps value="1"/>
        <!--numSteps value="4400"/-->
        <startTime value="0"/>
        <delta value="1"/>
        <deleteOffset value="no"/>
      </startStop>
      <!--dynamic></dynamic-->
    </stepValueDefinition>

    <meshInput id="input" gridType="fullGrid">
      <inputFile>
        <hdf5 fileName="testcase/results_hdf5/fourcells.h5"/>
      </inputFile>
    </meshInput>

    <binaryOperation opType="mult" multType="dyadic" id="multDyadic" inputFilterIds="input">
      <quantity1 resultName="meanFluidMechVelocity"/>
      <quantity2 resultName="fluidMechVelocity"/>
      <output resultName="vecDyadic"/>
    </binaryOperation>

    <binaryOperation opType="mult" multType="entrywise" id="multEntrywise" inputFilterIds="input">
      <quantity1 resultName="meanFluidMechVelocity"/>
      <quantity2 resultName="fluidMechVelocity"/>
      <output resultName="vecEntrywise"/>
    </binaryOperation>

    <binaryOperation opType="mult" multType="scalar" id="multScalar" inputFilterIds="input">
      <quantity1 resultName="meanFluidMechVelocity"/>
      <quantity2 resultName="fluidMechVelocity"/>
      <output resultName="vecScalar"/>
    </binaryOperation>

    <binaryOperation opType="mult" multType="cross" id="multCross" inputFilterIds="input">
      <quantity1 resultName="meanFluidMechVelocity"/>
      <quantity2 resultName="fluidMechVelocity"/>
      <output resultName="vecCross"/>
    </binaryOperation>

    <binaryOperation opType="mult" multType="default" id="multTensVec" inputFilterIds="multDyadic,multEntrywise">
      <quantity1 resultName="vecDyadic"/>
      <quantity2 resultName="vecEntrywise"/>
      <output resultName="vecTensVec"/>
    </binaryOperation>

    <binaryOperation opType="mult" multType="default" id="multTensTens" inputFilterIds="multDyadic">
      <quantity1 resultName="vecDyadic"/>
      <quantity2 resultName="vecDyadic"/>
      <output resultName="vecTensTens"/>
    </binaryOperation>

    <binaryOperation opType="mult" id="multConst" inputFilterIds="input">
      <quantity1 resultName="fluidMechVorticity"/>
      <quantity2 value="2"/>
      <output resultName="vecConst"/>
    </binaryOperation>

    <binaryOperation opType="plus" id="plus" inputFilterIds="input,multCross">
      <quantity1 resultName="fluidMechVorticity"/>
      <quantity2 resultName="vecCross"/>
      <output resultName="vecPlus"/>
    </binaryOperation>

    <binaryOperation opType="minus" id="minus" inputFilterIds="input,multCross">
      <quantity1 resultName="fluidMechVorticity"/>
      <quantity2 resultName="vecCross"/>
      <output resultName="vecMinus"/>
    </binaryOperation>

    <binaryOperation opType="div" id="div" inputFilterIds="input,multCross">
      <quantity1 resultName="fluidMechVorticity"/>
      <quantity2 resultName="vecCross"/>
      <output resultName="vecDiv"/>
    </binaryOperation>

    <meshOutput id="BinaryOperations" inputFilterIds="multDyadic,multEntrywise,multScalar,multCross,multConst,multTensVec,multTensTens,plus,minus,div">
      <outputFile>
        <hdf5 extension="h5" compressionLevel="0" externalFiles="no"/>
      </outputFile>
      <saveResults>
        <result resultName="vecDyadic">
          <allRegions/>
        </result>
        <result resultName="vecEntrywise">
          <allRegions/>
        </result>
        <result resultName="vecScalar">
          <allRegions/>
        </result>
        <result resultName="vecCross">
          <allRegions/>
        </result>
        <result resultName="vecConst">
          <allRegions/>
        </result>
        <result resultName="vecTensVec">
          <allRegions/>
        </result>
        <result resultName="vecTensTens">
          <allRegions/>
        </result>
        <result resultName="vecPlus">
          <allRegions/>
        </result>
        <result resultName="vecMinus">
          <allRegions/>
        </result>
        <result resultName="vecDiv">
          <allRegions/>
        </result>

      </saveResults>
    </meshOutput>


  </pipeline>
</cfsdat>
